> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasclientpolicy.md).

# New-RASClientPolicy

### NAME

New-RASClientPolicy\ <br>

### SYNOPSIS

Adds a new client policy.\ <br>

### SYNTAX

New-RASClientPolicy \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#Name)] *\<string>* \[-[Account](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#Account) *\<string>*] \[-[AllowClientAndroid](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientAndroid) *\<bool>*] \[-[AllowClientChrome](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientChrome) *\<bool>*] \[-[AllowClientHTML5](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientHTML5) *\<bool>*] \[-[AllowClientIOS](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientIOS) *\<bool>*] \[-[AllowClientLinux](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientLinux) *\<bool>*] \[-[AllowClientMAC](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientMAC) *\<bool>*] \[-[AllowClientWindows](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientWindows) *\<bool>*] \[-[AllowClientWyse](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#AllowClientWyse) *\<bool>*] \[-[Description](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#Description) *\<string>*] \[-[Enabled](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#Enabled) *\<bool>*] \[-[GatewayRule](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#GatewayRule) {Any | AnyGW | Connected | ConnectedToGWs | NotConnected | NotConnectedToGWs}] \[-[MACRule](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#MACRule) {AnyMAC | AllowedMACs | NotAllowedMACs}] \[-[SID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#SID) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Adds a new client policy.\ <br>

### PARAMETERS

\
-**Name \<string>**\
Name of the new client policy.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Enabled \<bool>**\
Whether the new client policy will be enabled or disabled.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                True
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Description \<string>**\
Description for the new client policy.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**GatewayRule <**[**GatewayRuleType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/GatewayRuleType.html)**>**\
Gateway criteria. Use one of the following options:\
\
0 = if Client is connected to any gateway\
\
1 = if Client is connected to one of the following gateways\
\
2 = if Client is not connected to one of the following gateways\
\
Possible values: Any, AnyGW, Connected, ConnectedToGWs, NotConnected, NotConnectedToGWs\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MACRule <**[**MACRuleType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/MACRuleType.html)**>**\
MAC address criteria. Use one of the following options:\
\
0 = to any MAC address\
\
1 = if the Client's MAC address is one of the following\
\
2 = if the Client's MAC address is not one of the following\
\
Possible values: AnyMAC, AllowedMACs, NotAllowedMACs\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientChrome \<bool>**\
Allow Chrome OS clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientAndroid \<bool>**\
Allow Android clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientHTML5 \<bool>**\
Allow Web clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientIOS \<bool>**\
Allow IOS clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientLinux \<bool>**\
Allow Linux clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientMAC \<bool>**\
Allow Mac clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientWindows \<bool>**\
Allow Windows clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientWyse \<bool>**\
Allow Wyse clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Account \<string>**\
The name of the user/group account.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SID \<string>**\
The SID of the user/group account.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[ClientRules](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ClientRules.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
New-RASClientPolicy -Name PDFPolicy\
\
Adds a new client policy named as PDFPolicy.\
**---------- EXAMPLE 2 ----------**\
\
New-RASClientPolicy -Name UserGroupPolicy -Enable $False -Description 'For the User Groups'\
\
Adds a new client policy named as UserGroupPolicy which is disabled and has a description of 'For the User Groups'.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasclientpolicy.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
